Printago API
GET /v1/roles/with-permissions

List roles with permissions

List the assignable roles together with the permissions each role grants.

Requires: user.view

Response Schema

RoleWithPermissions[]
Array of RoleWithPermissions, each with:
descriptionrequirednullable
string
idrequired
string
isSystemrequired
boolean
namerequired
string
permissionsrequired
enum[]

Example Response

200 OK — application/json
[
  {
    "permissions": [
      "organization.owner"
    ],
    "id": "string",
    "name": "string",
    "description": "string",
    "isSystem": true
  }
]